From c92b2a057cef503a5d2fa29d0372ac3ed054e7a2 Mon Sep 17 00:00:00 2001
From: Alan Jack Pippin <ajp@pippin.(none)>
Date: Thu, 29 Dec 2005 08:41:20 -0700
Subject: [PATCH] Further parameterization of the burn-image.sh script.

Added the following new config.sh variables:
makeXcopies, cdrecordopts, cronstopstart
---
 scripts/burn-imgs.sh | 13 +++++++------
 scripts/config.sh    |  3 +++
 2 files changed, 10 insertions(+), 6 deletions(-)

diff --git a/scripts/burn-imgs.sh b/scripts/burn-imgs.sh
index a1a6483..028b3c6 100755
--- a/scripts/burn-imgs.sh
+++ b/scripts/burn-imgs.sh
@@ -2,8 +2,6 @@
 
 export PATH=$(dirname $0):/bin:/usr/bin:/sbin
 
-cronstopstart="/etc/init.d/cron"
-
 # source the default configuration
 . config.sh
 
@@ -36,10 +34,12 @@ $cronstopstart stop
 renice -10 $$
 
 # Burn the image to a disk.
-cdrecord-wrapper.sh -dao dev=$sdev $img > $logfile 2>&1
+cdrecord-wrapper.sh $cdrecordopts dev=$sdev $img > $logfile 2>&1
 
 if [ "0" != "$?" ]; then
   echo >&2 "cdrecord failed!"
+  $cronstopstart start
+  cat $logfile | grep -v "MB written" | grep -v "to quit" | mailx -s "backups: failed to burn $img!!!" $mailto
   exit 1
 fi
 
@@ -56,7 +56,8 @@ dd if=$dev bs=1M count=4440 2>>$logfile | md5sum | awk '{print$1}' > $md5sum
 
 # Check that the md5sums match
 if ! cmp $md5sum $img.md5sum; then
-  echo "Failed" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
+  echo "md5sum check FAILED" >> $logfile
+  cat $logfile | grep -v "MB written" | grep -v "to quit" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
   exit 1
 fi
 
@@ -73,10 +74,10 @@ date >> $img.stat
   cat $img.stat
   echo
   cat $logfile
-} | mailx -s "DVD burned.  File as $(basename ${img%.*})" $mailto > $logfile 2>&1
+} | grep -v "MB written" | grep -v "to quit" | mailx -s "DVD burned.  File as $(basename ${img%.*})" $mailto > $logfile 2>&1
 
 # Two lines in the stat file indicate two successful burns.  Clean-up the image.
-if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "2" ]; then
+if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "$makeXcopies" ]; then
   # Burned the image twice.  Removing it and associated files!
   rm -f $img{,.md5sum,.stat}
   [ -d $img.mnt ] && rmdir $img.mnt
diff --git a/scripts/config.sh b/scripts/config.sh
index cbe6294..22aae1a 100755
--- a/scripts/config.sh
+++ b/scripts/config.sh
@@ -12,6 +12,9 @@ dev="/dev/dvdrw"
 sdev="ATA:1,0,0"
 noburnfile="$imagedir/noburn"
 backupeveryXdays=15
+makeXcopies=2
+cdrecordopts="-v -dao" 
+cronstopstart="/etc/init.d/cron"
 
 # These are exported so lsbackups can have access to them
 export backupdbin="$datadir/backups.db"
-- 
2.34.1